#!/bin/sh

# Validate and Transform Utility Tool.
#
# Usage:
#    ValidateTransformUtility.sh
#       [reset]    Optional argument to clear saved user preferences
#
# Examples:
#    ValidateTransformUtility.sh
#    ValidateTransformUtility.sh reset

usage() {
    echo "Usage:"
    echo "   $0 [reset]"
    echo
    echo "   Where:"
    echo "      [reset]    Optional argument to clear saved user preferences"
    echo "   Examples:"
    echo "      $0"
    echo "      $0 reset"
}

resetPrefs=$1

if [ "${resetPrefs}" != "" ] && [ "${resetPrefs}" != "reset" ] ; then
   usage; exit 1
fi

CLASSPATH=$(find . -name "*.jar")

if [ ! -d "${JAVA_HOME}" ]; then
   java -cp $CLASSPATH com.rtn.gga.sigvalidator.view.ValidationTransformerView $resetPrefs
else
	"${JAVA_HOME}/bin/java" -cp $CLASSPATH com.rtn.gga.sigvalidator.view.ValidationTransformerView $resetPrefs
fi
